%define mesaver 	CVS
%define mesadate	20000113

Name:		Mesa
Summary: A 3-D graphics library similar to OpenGL.
Version:	3.2
Release:	2
Copyright:	GPL/XFree86
Group: System Environment/Libraries
Requires:	XFree86 >= 3.3.3
BuildRoot:	/var/tmp/%{name}-root
Source:		ftp://ftp.mesa3d.org/mesa/beta/Mesa%{mesaver}-%{mesadate}.tar.gz
Conflicts:	glxMesa-mga, glxMesa-tnt, glxMesa-mach64
URL:		http://www.mesa3d.org/

%description
The Mesa 3-D graphics library is a powerful and generic toolset for
creating hardware assisted computer graphics.  To the extent that Mesa
utilizes the OpenGL command syntax or state machine, it is being used
with authorization from Silicon Graphics, Inc.  However, the author
(Brian Paul) makes no claim that Mesa is in any way a compatible
replacement for OpenGL or associated with Silicon Graphics, Inc. Those
who want a licensed implementation of OpenGL should contact a licensed
vendor.  However, Mesa is very similar to OpenGL, and you might find
Mesa to be a valid alternative to OpenGL.

%package devel
Summary: Development files for the Mesa 3-D graphics library.
Group: Development/Libraries
Requires: Mesa = %{version}

%description devel
Mesa-devel contains the static version of the Mesa 3-D graphics
library (a graphics toolkit very similar to Silicon Graphics' OpenGL
graphics utilities toolkit) and includes files needed for development.
If you're going to develop Mesa applications, you'll need to install
mesa-devel. If you're just going to use Mesa, you don't need to
install mesa-devel.

%prep
%setup -q -n Mesa

%build
FLAGS=`echo $RPM_OPT_FLAGS |sed -e s/-m486//` # glxMesa doesn't like -m486

# libtoolize --copy --force
aclocal
autoheader
cat >mkinstalldirs <<EOF
#!/bin/sh
exec mkdir -p \$*
EOF
cat >install-sh <<EOF
#!/bin/sh
exec /usr/bin/install \$*
EOF
chmod +x mkinstalldirs install-sh
automake || :
autoconf
%ifarch i686
./configure --prefix=/usr --sysconfdir=/etc --enable-optimize --enable-x86 --enable-mmx --enable-katmai --without-svga
%else
./configure --prefix=/usr --sysconfdir=/etc --enable-optimize --disable-mmx --disable-3dnow --without-svga
%endif
make
mkdir -p $RPM_BUILD_ROOT/etc/X11
make prefix=$RPM_BUILD_ROOT/usr/X11R6 \
	sysconfdir=$RPM_BUILD_ROOT/etc install

%install

%files 
%config /etc/mesa.conf
/usr/X11R6/lib/lib*

%files devel
%dir /usr/X11R6/include/GL
/usr/X11R6/include/GL/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/glxMesa*.files

%changelog
* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild in new environment

* Wed Feb 02 2000 Bill Nottingham <notting@redhat.com>
- add %post, %postun

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix stupid release numbers (use real numbers, people!)
- rebuild to fix up decsriptions and group

* Thu Jan 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the breakage caused by yesterday's changes
- split soure RPM into software and hardware-related parts.

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build support for all chipsets (including non-accelerated)
  no i810 support for now - that would require kernel changes.

* Tue Jan 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New snapshot (20000111), adding support for the
  i810 chipset and fixing up ATI.

* Mon Dec 20 1999 Bill Nottingham <notting@redhat.com>
- fix build so it doesn't set -march needlessly

* Wed Dec 15 1999 Bill Nottingham <notting@redhat.com>
- fix sparc

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on non-x86 platforms
- Split in glxMesa and glxMesa-devel
- add download location to Source: fields
- handle RPM_OPT_FLAGS

* Fri Dec 03 1999 Preston Brown <pbrown@redhat.com>
- adopted for Red Hat Linux, changed glx.conf installation directory

* Sat Oct 23 1999 Ryan Drake <rdrake@matrox.com>
- Removed --without-mmx-asm

* Thu Jun 17 1999 Ryan Skadberg <skadz@mindstorm.com>
- Updated to Mesa3.1beta2
- Used configure script, so we get 3DNow support if available

* Mon May 31 1999 Ian Pilcher <pilcher@concentric.net>
- Added %post & %preun scripts, telling the user to edit XF86Config

* Mon May 24 1999 Ian Pilcher <pilcher@concentric.net>
- Created SPEC file template for scripted builds

* Mon May 24 1999 Ian Pilcher <pilcher@concentric.net>
- XFree86 headers now included in GLX tree; useful SRPM now possible
- package release no longer reflects Red Hat version

* Wed May 19 1999 Ian Pilcher <pilcher@concentric.net>
- fixed problem of sed reading & writing Config simultaneously

* Tue May 18 1999 Ian Pilcher <pilcher@concentric.net>
- initial SPEC file; doesn't do anything fancy

